<!DOCTYPE html>
<html>
    <head>
        <title> cutest Test Results </title>
        <style type='text/css'>
            body { font-family: sans-serif; font-size: 12pt; }
            .warning { padding: 20px; background: #ffed24; font-size: 12pt; text-align: center; }
            .result-success { background: #24ff24; font-size: 20px; text-align: center; }
            .result-failure { background: #ff7095; font-size: 20px; text-align: center; }
            h2 { font-size: 14pt; font-weight: bold; }
            h3 { font-size: 12pt; font-weight: bold; }
            table { background: #ffffff; width: 100%; font-size: 10pt; }
            table tr.pass { background: #ccffcc; }
            table tr.fail { background: #ffcccc; }
            table tr             { font-size: 12pt; border: solid 1px #000066; }
            table tr td          { padding: 10px; border: solid 1px #000033; }
            table tr td ul li,             table tr td ol li    { margin: 10px 0; }
            table tr td ol       { list-style-type: upper-latin; }
            table tr .test-set   { font-size: 10pt; }
            table tr .test       { font-size: 10pt; }
            table tr .prereq     {  }
            table tr .result     { text-align: center; font-size: 10pt; font-weight: bold; }
            table tr .expected   { font-family: monospace; font-size: 10pt; }
            table tr .actual     { font-family: monospace; font-size: 10pt; }
            table tr .comments   { font-size: 10pt; }
            table .prereqs { font-size: 8pt; }
            table .prereqs ul li { margin: 0; }
            table .prereqs ul { margin: 0; }
            table tr.summary { background: #000000; color: #ffffff; }
            table tr.descriptions { font-size: 8pt; text-align: center; }
            table .spacer { height: 20px; }
        </style>
    </head>
    <body>
    <div class='warning'>Warning: Make sure to check if all tests finish (there will be a message at the end of the file) - <br>
    It is possible for your program to crash early, but still show that tests have passed because it hasn't gone through everything.</div>
<div id='test-list'><h2>Test list:</h2>

<a href='#Constructor()'>Constructor()</a> | <a href='#ShiftLeft()'>ShiftLeft()</a> | <a href='#ShiftRight()'>ShiftRight()</a> | <a href='#RemoveBack()'>RemoveBack()</a> | <a href='#RemoveFront()'>RemoveFront()</a> | <a href='#RemoveAt()'>RemoveAt()</a> | <a href='#GetBack()'>GetBack()</a> | <a href='#GetFront()'>GetFront()</a> | <a href='#GetAt()'>GetAt()</a> | <a href='#AllocateMemory()'>AllocateMemory()</a> | <a href='#Resize()'>Resize()</a> | <a href='#IsFull()'>IsFull()</a> | <a href='#InsertBack()'>InsertBack()</a> | <a href='#InsertFront()'>InsertFront()</a> | <a href='#InsertAt()'>InsertAt()</a> | <a href='#Search()'>Search()</a></div>

<h2>Results:</h2>
<a name='Constructor()' href='#Constructor()'><h3>Constructor()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='pass'>
<td class='test-set'>      Test_Constructor <br></td>
<td class='test'>          1. Check initial member variable values       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>m_array is nullptr</li><li>m_arraySize = 0</li><li>m_itemCount = 0</li> </ol> </td>
<td class='actual'>   <ol> <li>m_array = 00000000</li><li>m_arraySize = 0</li><li>m_itemCount = 0</li> </ol> </td>
<td class='comments'> <ul> <li>When a new SmartDynamicArray is created, m_array should be nullptr and m_itemCount and m_arraySize should be 0.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_Constructor:</strong>
1 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='ShiftLeft()' href='#ShiftLeft()'><h3>ShiftLeft()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_ShiftLeft <br><div class='prereqs'>Prerequisite functions: <ul><li>ShiftLeft</li></ul></div>      
</td>
<td class='test'>          0. Check if function ShiftLeft is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>ShiftLeft = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>ShiftLeft = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_ShiftLeft:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='ShiftRight()' href='#ShiftRight()'><h3>ShiftRight()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_ShiftRight <br><div class='prereqs'>Prerequisite functions: <ul><li>ShiftRight</li></ul></div>      
</td>
<td class='test'>          0. Check if function ShiftRight is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>ShiftRight = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>ShiftRight = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_ShiftRight:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='RemoveBack()' href='#RemoveBack()'><h3>RemoveBack()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_RemoveBack <br><div class='prereqs'>Prerequisite functions: <ul><li>RemoveBack</li></ul></div>      
</td>
<td class='test'>          0. Check if function RemoveBack is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>RemoveBack = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>RemoveBack = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_RemoveBack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='RemoveFront()' href='#RemoveFront()'><h3>RemoveFront()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_RemoveFront <br><div class='prereqs'>Prerequisite functions: <ul><li>RemoveFront</li></ul></div>      
</td>
<td class='test'>          0. Check if function RemoveFront is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>RemoveFront = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>RemoveFront = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_RemoveFront:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='RemoveAt()' href='#RemoveAt()'><h3>RemoveAt()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_RemoveAt <br><div class='prereqs'>Prerequisite functions: <ul><li>RemoveAt</li></ul></div>      
</td>
<td class='test'>          0. Check if function RemoveAt is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>RemoveAt = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>RemoveAt = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_RemoveAt:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='GetBack()' href='#GetBack()'><h3>GetBack()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_GetBack <br><div class='prereqs'>Prerequisite functions: <ul><li>GetBack</li></ul></div>      
</td>
<td class='test'>          0. Check if function GetBack is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>GetBack = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>GetBack = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_GetBack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='GetFront()' href='#GetFront()'><h3>GetFront()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_GetFront <br><div class='prereqs'>Prerequisite functions: <ul><li>GetFront</li></ul></div>      
</td>
<td class='test'>          0. Check if function GetFront is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>GetFront = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>GetFront = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_GetFront:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='GetAt()' href='#GetAt()'><h3>GetAt()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_GetAt <br><div class='prereqs'>Prerequisite functions: <ul><li>GetAt</li></ul></div>      
</td>
<td class='test'>          0. Check if function GetAt is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>GetAt = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>GetAt = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_GetAt:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='AllocateMemory()' href='#AllocateMemory()'><h3>AllocateMemory()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_AllocateMemory <br><div class='prereqs'>Prerequisite functions: <ul><li>AllocateMemory</li></ul></div>      
</td>
<td class='test'>          0. Check if function AllocateMemory is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>AllocateMemory = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>AllocateMemory = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_AllocateMemory:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Resize()' href='#Resize()'><h3>Resize()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_Resize <br><div class='prereqs'>Prerequisite functions: <ul><li>Resize</li></ul></div>      
</td>
<td class='test'>          0. Check if function Resize is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>Resize = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>Resize = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_Resize:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='IsFull()' href='#IsFull()'><h3>IsFull()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_IsFull <br><div class='prereqs'>Prerequisite functions: <ul><li>IsFull</li></ul></div>      
</td>
<td class='test'>          0. Check if function IsFull is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>IsFull = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>IsFull = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_IsFull:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='InsertBack()' href='#InsertBack()'><h3>InsertBack()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_InsertBack <br><div class='prereqs'>Prerequisite functions: <ul><li>InsertBack</li><li>Resize</li></ul></div>      
</td>
<td class='test'>          0a. Check if function InsertBack is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>InsertBack = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>InsertBack = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>SmartDynamicArray<T>::PushBack is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_InsertBack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='InsertFront()' href='#InsertFront()'><h3>InsertFront()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_InsertFront <br><div class='prereqs'>Prerequisite functions: <ul><li>InsertFront</li><li>AllocateMemory</li><li>Resize</li></ul></div>      
</td>
<td class='test'>          0a. Check if function InsertFront is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>InsertFront = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>InsertFront = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_InsertFront:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='InsertAt()' href='#InsertAt()'><h3>InsertAt()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_InsertAt <br><div class='prereqs'>Prerequisite functions: <ul><li>InsertAt</li></ul></div>      
</td>
<td class='test'>          0a. Check if function InsertAt is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>InsertAt = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>InsertAt = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_InsertAt:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Search()' href='#Search()'><h3>Search()</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_Search <br><div class='prereqs'>Prerequisite functions: <ul><li>Search</li></ul></div>      
</td>
<td class='test'>          0. Check if function Search is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>Search = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>Search = Not implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_Search:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
    </table>
    <div class='result-failure '>16 testsets ran; 1 testsets passed</div>
    </body>
</html>
